org.eclipse.emf.spi.cdo

## Class AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector

- java.lang.Object
- - org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector

- All Implemented Interfaces:
    java.util.EventListener, IListener
  Enclosing class:
    AbstractObjectConflictResolver.ThreeWayMerge

      public static class AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector
      extends java.lang.Object
      implements IListener

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevisionDeltaCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CDORevisionDelta>` | `getDeltas(CDOObject notifier)`
    `void` | `notifyEvent(IEvent event)`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevisionDeltaCollector

          public RevisionDeltaCollector()

  - ### Method Detail

    - #### getDeltas

          public java.util.List<CDORevisionDelta> getDeltas(CDOObject notifier)

    - #### reset

          public void reset()

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html